import type { Metadata } from "next"
import { Inter } from "next/font/google"
import "./globals.css"
import Nav from "@/components/Nav"
import Footer from "@/components/Footer"

const inter = Inter({ subsets: ["latin"] })

export const metadata: Metadata = {
  title: "IPv6 测试",
  description: "IPv6 测试",
}

export default function RootLayout({
  children,
}: Readonly<{
  children: React.ReactNode
}>) {
  return (
    <html lang='zh'>
      <body className={inter.className}>
        <div className='min-h-screen flex flex-col'>
          <Nav />
          <main className='flex-grow px-4 container max-w-3xl mx-auto'>
            {children}
          </main>
          <Footer />
        </div>
      </body>
    </html>
  )
}
